## visad.data
Interface DataWriter

All Superinterfaces:
  DataProcessor

All Known Implementing Classes:
  BinaryWriter, EmptyDataWriter

public interface DataWriter
extends DataProcessor

Standard routines used to write a `Data` object.

Method Summary
`void` `close()` Close the file
`void` `flush()` Flush all data to disk.
`void` `setFile(File file)` Open the specified file.
`void` `setFile(String name)` Open the named file.

Methods inherited from interface visad.data.DataProcessor

`process, processDoubleSet, processFieldImpl, processFlatField, processFloatSet, processGridded1DDoubleSet, processGridded1DSet, processGridded2DDoubleSet, processGridded2DSet, processGridded3DDoubleSet, processGridded3DSet, processGriddedSet, processInteger1DSet, processInteger2DSet, processInteger3DSet, processIntegerNDSet, processIrregular1DSet, processIrregular2DSet, processIrregular3DSet, processIrregularSet, processLinear1DSet, processLinear2DSet, processLinear3DSet, processLinearLatLonSet, processLinearNDSet, processList1DSet, processProductSet, processReal, processRealTuple, processSampledSet, processSimpleSet, processSingletonSet, processText, processTuple, processUnionSet, processUnknownData`

Method Detail

### close

    public void close()
               throws IOException

  Close the file

  Throws:
    `IOException` - If there is a problem.

### flush

    public void flush()
               throws IOException

  Flush all data to disk.

  Throws:
    `IOException` - If there is a problem.

### setFile

    public void setFile(String name)
                 throws IOException

  Open the named file. If a file is already being written to, all data will be flushed and the file will be closed.

  Parameters:
    `name` - The path used to open the file.
  Throws:
    `IOException` - If there is a problem.

### setFile

    public void setFile(File file)
                 throws IOException

  Open the specified file. If a file is already being written to, all data will be flushed and the file will be closed.

  Parameters:
    `file` - The file.
  Throws:
    `IOException` - If there is a problem.